Set Voting Event Logo
Authorization
bearerAuth AuthorizationBearer <token>
A key in the form pepvote_api_ followed by 32 hexadecimal characters.
In: header
Header Parameters
User-Agentstringrequired
Name and version of the calling integration. Required on every request.
Path Parameters
idOrCodestringrequired
Voting event ID or code.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
storageIdstringrequired
Storage ID returned by POST /uploads.
- Length:
at least 1 character
Response Body
application/json
curl -X PUT "https://example.com/voting-events/string/logo" \ -H "User-Agent: my-app/1.0" \ -H "Content-Type: application/json" \ -d '{ "storageId": "string" }'{
"data": {
"id": "string",
"code": "string",
"type": "string",
"title": "string",
"desc": "string",
"startsAt": 0,
"endsAt": 0,
"status": "draft",
"locked": true,
"liveResult": true,
"publishedResult": true,
"resultDisplayLimit": 0,
"groupMode": true,
"votingFormat": "string",
"shuffleCandidates": true,
"multiStepVoting": true,
"canContestMultiplePositions": true,
"enableWeightedVoting": true,
"enablePayToVote": true,
"enablePayToRegisterCandidate": true,
"registration": {
"voterCanRegister": true,
"voterPublicRegistrationClosesAt": 0,
"candidateCanRegister": true,
"candidatePublicRegistrationClosesAt": 0,
"requireVoterId": true,
"voterIdValidationLogic": "string",
"voterIdValidatingValue": "string"
},
"aliases": {
"votingEvent": "string",
"votingCenter": "string",
"position": "string",
"group": "string",
"positionGroup": "string",
"candidateGroup": "string",
"voterGroup": "string",
"candidate": "string",
"voter": "string",
"voterId": "string",
"sponsor": "string",
"weight": "string"
},
"plan": {
"name": "string",
"maxVoters": 0
},
"logoUrl": "string",
"createdAt": 0
}
}Was this helpful?
Last updated September 6, 2026